Get a Specific Record

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordSetId}/records/{recordId}

Get specific record for the selected RecordSet.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

  • recordId string Required

    id of the Record

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id string

      id of the Record

GET /dataflows/{dataflowId}/recordsets/{recordSetId}/records/{recordId}
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/records/{recordId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "CREATED_BY": "gnosiz",
  "CREATED_DATE": "2015-07-01 10:26:47 +0000",
  "CREATED_DEVICE_ID": "Server",
  "CREATED_LOCATION": "Server",
  "ID": "9",
  "MODIFIED_BY": "gnosiz",
  "MODIFIED_DATE": "2015-07-01 10:26:47 +0000",
  "MODIFIED_DEVICE_ID": "Server",
  "MODIFIED_LOCATION": "Server",
  "PARENT_ELEMENT_ID": "0",
  "PARENT_PAGE_ID": "0",
  "PARENT_RECORD_ID": "0",
  "SERVER_MODIFIED_DATE": "2015-07-01 10:26:47 +0000",
  "_id": "570c2d9306d0249655af393a",
  "color": "Ceramic",
  "make": "Mazda",
  "year": "2016"
}